Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers
Class UnsupportedOperatorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.netbeans.jemmy.JemmyException
                              |
                              +--org.netbeans.jemmy.drivers.UnsupportedOperatorException

All Implemented Interfaces:
  java.io.Serializable

public class UnsupportedOperatorException
extends JemmyException

Is thrown as a result of attempt to use driver for unsupported operator type.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  Serialized Form

Constructor Summary
`UnsupportedOperatorException(java.lang.Class driver, java.lang.Class operator)` Constructor.

Method Summary
`static void` | `checkSupported(java.lang.Class driver, java.lang.Class[] supported, java.lang.Class operator)` Checks if operator class is in the list of supported classes.
`static void` | `checkSupported(java.lang.Class driver, java.lang.String[] supported, java.lang.Class operator)` Checks if operator class name is in the list of supported classes names.

Methods inherited from class org.netbeans.jemmy.JemmyException
`getInnerException, getInnerThrowable, getObject, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedOperatorException

    public UnsupportedOperatorException(java.lang.Class driver,
                                        java.lang.Class operator)

  Constructor.
  Parameters:
    `driver` - a driver
    `operator` - an operator

Method Detail

### checkSupported

    public static void checkSupported(java.lang.Class driver,
                                      java.lang.Class[] supported,
                                      java.lang.Class operator)

  Checks if operator class is in the list of supported classes.
  Parameters:
    `driver` - Driver class
    `supported` - Supported classes.
    `operator` - Operator class.
  Throws:
    `UnsupportedOperatorException` - if class is not supported.

### checkSupported

    public static void checkSupported(java.lang.Class driver,
                                      java.lang.String[] supported,
                                      java.lang.Class operator)

  Checks if operator class name is in the list of supported classes names.
  Parameters:
    `driver` - Driver class
    `supported` - Supported classes names.
    `operator` - Operator class.
  Throws:
    `UnsupportedOperatorException` - if class is not supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD